### Compute fingerprints of files

The program computes fingerprints of selected files. The following methods are 
supported:

- MD5 (Message-Digest Algorithm 5)
- SHA1 und SHA256 (Secure Hash Algorithm) 

**Installation:**

During program installation, optional an entry can be added to the Windows 
context menu for files to create the fingerprints of file just by a click.  

**Dialog mode:**

The user can specify a directory and several file filters to select the files
to be processed. Optional subdirectories may be included. The computation
of the fingerprints runs in multiple threads according to the number of 
available CPU cores. Optionally, the output can be written to file.

**Batch mode:**

Using the command line options, processing of fingerprints can be automated.

**Command line options:**

none

    The program will open with its default desktop window.

[filename]

    The window to compute the fingerprints of this file will be opended
    immediately using the configured program options. 

/md5

    Enable computing of MD5 hash.

/sha1

    Enable computing of SHA1 hash.

/sha256

    Enable computing of SHA256 hash.

/out

    Enable text file output (Default: filename.txt).

/force

    Run processing immediately after program start.

If both options /out and /force are specified, the program will close automatically
after computation and saving the result to a file.

Note: All options may be abbreviated, for example: /force = /f = /for
